Summary:        Install kmod/akmod drivers
Name:           driver-manager
Version:        2.0.0
Release:        1%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%global debug_package %{nil}
%define _build_id_links none

%description
Program for managing third-party drivers for some devices

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_usr}/lib/%{name}
%{_bindir}/driver-manager
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.driver-manager.desktop
%{_datadir}/metainfo/com.inferit.driver-manager.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.driver-manager.gschema.xml

%changelog
* Fri Aug  2 2024 Dmitry Samoylik <Dmitriy.Samoylik@softline.com> - 1.0-1
- Initial build
